# OpenID Connect Client & Discovery

Built on [inth-oauth2](https://crates.io/crates/inth-oauth2). Using [reqwest](https://crates.io/crates/reqwest). Using [biscuit](https://crates.io/crates/biscuit) for Javascript Object Signing and Encryption (JOSE).

Implements [OpenID Connect Core 1.0](https://openid.net/specs/openid-connect-core-1_0.html) and [OpenID Connect Discovery 1.0](https://openid.net/specs/openid-connect-discovery-1_0.html).

Experimental async version built on Hyper [here](https://gitlab.com/zanny/hyper-openid).

## Documentation

## License

[Apache License, Version 2.0](http://www.apache.org/licenses/LICENSE-2.0)
